const menuData = [
  {
    name: '资源管理',
    icon: 'folder',
    path: 'resource',
    children: [{
      name: '图库管理',
      path: 'gallery',
    },{
      name: '视频管理',
      path: 'video',
    }]
  },{
    name: '标签管理',
    icon: 'tags',
    path: 'tag',
    children: [{
      name: '标签组',
      path: 'group',
    },{
      name: '标签',
      path: 'tag',
    }]
  },{
    name: '产品管理',
    icon: 'appstore',
    path: 'product',
    children: [{
      name: '课件管理',
      path: 'ware',
    },{
      name: '课管理',
      path: 'lesson',
    },{
      name: '课程管理',
      path: 'course',
    },{
      name: '周边配套',
      path: 'support',
    }]
  },{
    name: '商品管理',
    icon: 'shop',
    path: 'goods',
    children: [{
      name: '商品管理',
      path: 'item',
    },{
      name: '商品包管理',
      path: 'combo',
    }]
  },{
    name: '终端管理',
    icon: 'desktop',
    path: 'terminal',
    children: [{
      name: '终端用户',
      path: 'user',
    },{
      name: '校区管理',
      path: 'campus',
    }],
  },{
    name: '订单管理',
    icon: 'trademark',
    path: 'trade',
  },{
    name: '销售统计',
    icon: 'area-chart',
    path: 'sales',
  },{
    name: '厂商管理',
    icon: 'team',
    path: 'merchant',
  },{
    name: '账户管理',
    icon: 'user-add',
    path: 'cms-user',
  },{
    name: '行为统计',
    icon: 'scan',
    path: 'action',
  },
];

function formatter(data, parentPath = '') {
  const list = [];
  data.forEach((item) => {
    if (item.children) {
      list.push({
        ...item,
        path: `${parentPath}${item.path}`,
        children: formatter(item.children, `${parentPath}${item.path}/`),
      });
    } else {
      list.push({
        ...item,
        path: `${parentPath}${item.path}`,
      });
    }
  });
  return list;
}

export const getMenuData = () => formatter(menuData);
