import React, { PureComponent } from 'react';
import PropTypes from 'prop-types';
import { Table } from 'antd';

export default class ForSelTable extends PureComponent {
  static propTypes = {
    list: PropTypes.array.isRequired,
    listLoading: PropTypes.bool.isRequired,
    pagination: PropTypes.object.isRequired,
    columns: PropTypes.array.isRequired,
    rowKeyName: PropTypes.string.isRequired,
    styles: PropTypes.object,
    onChange: PropTypes.func,
    onAdd: PropTypes.func,
  };

  render() {
    const { rowKeyName, list, listLoading, pagination, columns, onAdd, styles = {} } = this.props;
    const addColumn = {
      title: '选择',
      dataIndex: 'select',
      key: 'select',
      render: (text, record) => (
        <Button onClick={onAdd} size="small" type="primary">添加</Button>
      ),
    };
    columns.push(addColumn);
    return (
      <Table
        rowKey={rowKeyName}
        bordered={true}
        columns={columns}
        dataSource={list}
        loading={listLoading}
        pagination={pagination}
        className={styles.table}
        onChange={onChange}
      />
    );
  }
}
